<?php
$title = 'Админ-Панель';
require ('../core/sys.php');
require ('../core/head.php');
if($user['id'] != 1){
header('Location: /');
exit;
}
switch($_GET['act']){
default;
?>
<div class="top"> Админ-Панель</div>
<a href="/panel/moneyback/view.aspx"><div class="box"><i style="color: #7867a7;width: 18px;height: 18px;" class="fa fa-money"></i> Заявки на вывод</div></a>
<a href="/panel/platform/view.aspx"><div class="box"><i style="color: #7867a7;width: 18px;height: 18px;" class="fa fa-sticky-note"></i> Управление площадками</div></a>
<a href="/panel/news/view.aspx"><div class="box"><i style="color: #7867a7;width: 18px;height: 18px;" class="fa fa-sticky-note"></i> Управление новостями</div></a>
<a href="/panel/my/us.view.aspx"><div class="box"><i style="color: #7867a7;width: 18px;height: 18px;" class="fa fa-user-o"></i> Управление пользователями</div></a>
<a href="/panel/my/log.money.aspx"><div class="box"><i style="color: #7867a7;width: 18px;height: 18px;" class="fa fa-money"></i> История движения средств</div></a>
<a href="/panel/my/log.pay.aspx"><div class="box"><i style="color: #7867a7;width: 18px;height: 18px;" class="fa fa-money"></i> История заявок на оплату</div></a>


<?
break;
case 'moneyback':
?><div class="top"><a href="/panel/"> Админ-Панель</a> | Заявки на вывод</div><?
$k_post = $db->prepare("SELECT * FROM `moneyback`");
$k_post -> execute();
$k_post = $k_post -> rowCount();
if($k_post == 0){
?><div class="box"><center>Пусто</center></div><?
}
$all = $db->prepare("SELECT * FROM `moneyback` ORDER BY `id` DESC");
$all -> execute();
$all = $all -> fetchAll();
foreach($all as $row){
?><div class="box"> ID юзера: <?=$row['user'];?></br>
Сумма вывода: <?=$row['money'];?> руб. </br>
Дата: <?=vremja($row['time']);?></br>
Кошелек: <?=$row['wmr'];?></br>
<a href="/panel/moneyback/<?=$row['id'];?>.aspx"> [Вывести]</a>
</div><?
}
break;
case 'output':
$id = abs(intval($_GET['id']));
$out = $db->prepare("SELECT * FROM `moneyback` WHERE `id` = ?");
$out -> execute([$id]);
$out = $out -> fetch(PDO :: FETCH_ASSOC);
if(!isset($out['id'])){
header('Location: /panel/moneyback/view.aspx');
exit;
}
$n_text = 'Средства в размере '.$out['money'].' руб были успешно выведены на кошелек '.$out['wmr'];
$notif = $db->prepare("INSERT INTO `history` (`text`,`user`) VALUES (?,?)");
$notif -> execute([$n_text,$out['user']]);
$del = $db->prepare("DELETE FROM `moneyback` WHERE `id` = ?");
$del -> execute([$id]);
header('Location: /panel/moneyback/view.aspx');
exit;
break;
case 'platform';
$mode = array('1'=>'Рабочий','0'=>'Тестовый','2' => 'Заблокирован');
?><div class="top"> Площадки</div>
<?
$k_platform = $db->prepare('SELECT * FROM `platform` WHERE `type` != ?');
$k_platform -> execute([3]);
$k_platform = $k_platform -> rowCount();
if($k_platform == 0){
?><div class="box"><center>Нет активных площадок</center></div><?
}else{
$max = 10;
$k_page = k_page($k_platform,$max);
$page = page($k_page);
$start = $max*$page-$max;
$all = $db->prepare("SELECT * FROM `platform` WHERE `type` != ?  ORDER BY `id` DESC LIMIT $start, $max");
$all -> execute([3]);
$all = $all -> fetchAll();
foreach($all as $row){
?>
<div class="box">
<b>ID площадки:</b> <?=$row['id'];?> [<?=nick($row['user'])?>]</br>
<b>URL:</b> <?=$row['url'];?></br>
<b>Баланс:</b> <?=$row['money'];?> руб.</br>
<b>Key:</b> <?=$row['key'];?></br>
<b>Режим оплаты:</b> <?=$mode[$row['type']];?></div>
<div class="auth1">
<a href="/panel/platform/<?=$row['id'];?>.aspx">Блокировка</a> <a href="/platform/edit/<?=$row['id'];?>.aspx">Редактировать</a>
</div>
<?
}
}
if($k_page >1){
echo str('/panel/platform/view.aspx',$k_page,$page);
}
break;
case 'platformblock';
$id = abs(intval($_GET['id']));
$pl = $db->prepare('SELECT * FROM `platform` WHERE `id` = ?');
$pl -> execute([$id]);
$pl = $pl -> fetch(PDO :: FETCH_ASSOC);
if(!isset($pl['id']) ||  $user['id'] != 1){
header('Location: /?err');
exit;
}
if($pl['type'] == 2) $go = '1'; else $go = '2';
$gogo = array('2' => 'Заблокировать','1' => 'Разблокировать');
if(isset($_GET['go'])){
$drop = $db->prepare('UPDATE `platform` SET `type` = ? WHERE `id` = ?');
$drop -> execute([$go,$pl['id']]);
$_SESSION['message'] = 'Вы успешно выполнили действие с площадкой !';
header('Location: /panel/platform/view.aspx');
}
echo '<div class="top">Блокировка площадки</div>';
echo "<div class='box' style='text-align:center;'><b>Вы уверены что хотите заблокировать именно эту площадку {$pl['url']} ?</b></div>
<div class='auth1'><a href='?go=$go'>{$gogo[$go]}</a> <a href='/panel/platform/view.aspx'>Отклонить</a></div>";
break;
case 'news';
if(isset($_POST['name'])){
$name = htmlspecialchars($_POST['name']);
$text = htmlspecialchars($_POST['text']);

if(empty($name)){
$_SESSION['message'] = 'Название новости не указано';
header('Location: /panel/news/view.aspx');
exit;
}
if(empty($text)){
$_SESSION['message'] = 'Текст не указан !';
header('Location: /panel/news/view.aspx');
exit;
}

$add = $db->prepare('INSERT INTO `news` (`us`,`name`,`about`,`time`) VALUES (?,?,?,?)');
$add -> execute([$user['id'],$name,$text,time()]);
$_SESSION['message'] = 'Новость успешна создана';
header('Location: /');
exit;
}
?>
<div class="top">Создание новости</div>
<form class="box" action="" method="post">
 <h3> Название новости <span style="color: red;">*</span>: </h3><br/>
<input type="text" name="name" placeholder="Введите текст"></br>
<h3> Текст <span style="color: red;">*</span>: </h3><br/>
<textarea name="text" placeholder="Введите текст"></textarea>
</br>

</br><input type="submit" value="Добавить"></form>
<?
break;
}
require ('../core/foot.php');
?>